Page MenuHomePhabricator

Review and deploy SecureLinkFixer extension
Closed, ResolvedPublic

Description

What else?

Event Timeline

Legoktm created this task.Jul 31 2018, 1:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2018, 1:51 AM
Legoktm updated the task description. (Show Details)Jul 31 2018, 2:46 AM
Legoktm updated the task description. (Show Details)Jul 18 2019, 5:41 AM

Change 524089 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/tools/release@master] Start branching SecureLinkFixer

https://gerrit.wikimedia.org/r/524089

Legoktm updated the task description. (Show Details)Jul 18 2019, 6:28 AM

I created https://www.mediawiki.org/wiki/Help:Extension:SecureLinkFixer for user-facing documentation, but I couldn't really think of anything else to add. Please edit/improve!

Change 524089 merged by jenkins-bot:
[mediawiki/tools/release@master] Start branching SecureLinkFixer

https://gerrit.wikimedia.org/r/524089

Change 524251 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] extension-list: Add SecureLinkFixer and TheWikipediaLibrary

https://gerrit.wikimedia.org/r/524251

Legoktm added a subscriber: greg.Jul 18 2019, 11:18 PM

Assuming nothing goes wrong with beta cluster, I'm thinking about production deployment to testwikis on July 22/23, and then deployment everywhere the following week, July 30/31 (I won't be available that Monday). @greg, would that be all right?

Change 525157 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[operations/mediawiki-config@master] Enable SecureLinkFixer on group0 wikis

https://gerrit.wikimedia.org/r/525157

Assuming nothing goes wrong with beta cluster, I'm thinking about production deployment to testwikis on July 22/23,

I've put up a patch for deployment to group0 wikis (which is larger than just the testwikis fwiw), pending approval still.

greg added a comment.Wed, Jul 24, 5:54 PM

Assuming nothing goes wrong with beta cluster, I'm thinking about production deployment to testwikis on July 22/23, and then deployment everywhere the following week, July 30/31 (I won't be available that Monday). @greg, would that be all right?

bah, sorry, I missed this ping :(

Yeah, that sounds like a good plan, godspeed!

Change 525157 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable SecureLinkFixer on group0 wikis

https://gerrit.wikimedia.org/r/525157

Mentioned in SAL (#wikimedia-operations) [2019-07-24T19:08:34Z] <legoktm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable SecureLinkFixer on group0 wikis - T200751 (duration: 00m 55s)

Change 525346 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[operations/mediawiki-config@master] Add SecureLinkFixer to extension-list

https://gerrit.wikimedia.org/r/525346

Change 525347 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[operations/mediawiki-config@master] Enable SecureLinkFixer everywhere

https://gerrit.wikimedia.org/r/525347

Change 524251 merged by jenkins-bot:
[operations/mediawiki-config@master] extension-list: Add SecureLinkFixer and TheWikipediaLibrary

https://gerrit.wikimedia.org/r/524251

Change 525346 abandoned by Jforrester:
Add SecureLinkFixer to extension-list

Reason:
I've merged and deployed the original version of this. :-)

https://gerrit.wikimedia.org/r/525346

Full deployment scheduled for 8am PDT tomorrow (July 30).

Change 525347 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable SecureLinkFixer everywhere

https://gerrit.wikimedia.org/r/525347

Mentioned in SAL (#wikimedia-operations) [2019-07-30T15:06:33Z] <legoktm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable SecureLinkFixer everywhere (T200751) (duration: 00m 47s)

Legoktm closed this task as Resolved.Tue, Jul 30, 3:32 PM